Bug 51037 - Flag local users and treat them differently
Flag local users and treat them differently
Status: RESOLVED FIXED
Product: accountsservice
Classification: Unclassified
Component: general
unspecified
All All
: medium normal
Assigned To: Matthias Clasen
:
Depends on: 50770
Blocks: 53443
  Show dependency treegraph
 
Reported: 2012-06-13 07:07 UTC by Stef Walter
Modified: 2012-09-22 00:32 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Add User.Local dbus property (9.82 KB, patch)
2012-06-13 07:07 UTC, Stef Walter
Details | Splinter Review
Don't use userdel for deletion of remote users (4.27 KB, patch)
2012-06-13 07:07 UTC, Stef Walter
Details | Splinter Review
Rename user_local_xxxx() to user_xxxx() (17.45 KB, patch)
2012-08-14 15:47 UTC, Stef Walter
Details | Splinter Review
Add User.Local dbus property (10.09 KB, patch)
2012-08-14 15:48 UTC, Stef Walter
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stef Walter 2012-06-13 07:07:15 UTC
Treat local and remote users differently. We try to use
/etc/passwd as a heuristic for whether a user is 'local'
or 'remote'.

Also don't run userdel for remote users.

Should we be deleting the user's home directory manually
for remote users if remove_files is set?
Comment 1 Stef Walter 2012-06-13 07:07:18 UTC
Created attachment 62964 [details] [review]
Add User.Local dbus property

This property describes whether the user account is local to the machine
or not, and thus can be managed with usermod, userdel and so on.

We currently implement this as a heuristic. If it's found in /etc/passwd
then we treat it as 'local'
Comment 2 Stef Walter 2012-06-13 07:07:21 UTC
Created attachment 62965 [details] [review]
Don't use userdel for deletion of remote users
Comment 3 Stef Walter 2012-08-14 15:45:43 UTC
Comment on attachment 62965 [details] [review]
Don't use userdel for deletion of remote users

Moving this patch to another bug.
Comment 4 Stef Walter 2012-08-14 15:47:46 UTC
Created attachment 65555 [details] [review]
Rename user_local_xxxx() to user_xxxx()

    Rename user_local_xxxx() to user_xxxx()
    
     * Since User* applies to remote users too, and the 'local'
       terminology can be confusing.
Comment 5 Stef Walter 2012-08-14 15:48:42 UTC
Created attachment 65556 [details] [review]
Add User.Local dbus property

Updated the patch so it works correctly in user cases
Comment 6 Ray Strode [halfline] 2012-08-16 18:55:09 UTC
Comment on attachment 65555 [details] [review]
Rename user_local_xxxx() to user_xxxx()

Review of attachment 65555 [details] [review]:
-----------------------------------------------------------------

seems fine, though now daemon is inconsistent.  Pushed.
Comment 7 Ray Strode [halfline] 2012-08-16 19:03:16 UTC
Comment on attachment 65556 [details] [review]
Add User.Local dbus property

Review of attachment 65556 [details] [review]:
-----------------------------------------------------------------

pushed.
Comment 8 Matthias Clasen 2012-09-22 00:32:05 UTC
I think all is done here.